# AIFileChecksumCreator Struct Reference

Helper for creating a MD5sum of all files within of an AI. More...

Inheritance diagram for AIFileChecksumCreator:

## Public Member Functions
| AIFileChecksumCreator ()
| Initialise the md5sum to be all zeroes, so we can easily xor the data.
virtual bool | AddFile (const char *filename, size_t basepath_length)
| Add a file with the given filename.
## Data Fields
byte | md5sum [16]
| The final md5sum.

## Detailed Description

Helper for creating a MD5sum of all files within of an AI.

Definition at line 344 of file ai_scanner.cpp.

## Member Function Documentation

virtual bool AIFileChecksumCreator::AddFile | ( | const char * | filename,
|  | size_t | basepath_length |
| ) |  |  | `[inline, virtual]`

Add a file with the given filename.

Parameters:

  | filename | the full path to the file to read
  | basepath_length | amount of characters to chop of before to get a filename relative to the search path.

Returns:
  true if the file is added.

Implements FileScanner.

Definition at line 357 of file ai_scanner.cpp.

References DATA_DIR, FioFCloseFile(), FioFOpenFile(), and md5sum.

Referenced by IsSameAI().

The documentation for this struct was generated from the following file:

- src/ai/ai_scanner.cpp